> For clean Markdown of any page, append .md to the page URL. > For a complete documentation index, see https://docs.getunleash.io/api/get-actions-events/llms.txt. > For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://docs.getunleash.io/_mcp/server. # [BETA] Get action events for a specific action set. GET https://app.unleash-instance.example.com/api/admin/projects/{projectId}/actions/{id}/events **Enterprise feature** **[BETA]** This API is in beta state, which means it may change or be removed in the future. Returns a list of action events triggered by a specific action set, identified by its id. Reference: https://docs.getunleash.io/api/get-actions-events ## Authentication - `Authorization` header (required) — API key needed to access this API - `Authorization` header (bearer token, required) — API key needed to access this API, in Bearer token format ## Request ### Path parameters - `projectId` (string, required) - `id` (string, required) ### Query parameters - `limit` (string, optional) — The number of results to return in a page. By default it is set to 50. - `offset` (string, optional) — The number of results to skip when returning a page. By default it is set to 0. ## Response ### 200 #/components/schemas/actionSetEventsSchema - `actionSetEvents` (list of actionSetEventSchema, required) — A list of action set events. ## Errors ### 401 Unauthorized Error Authorization information is missing or invalid. Provide a valid API token as the `authorization` header, e.g. `authorization:*.*.my-admin-token`. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 403 Forbidden Error The provided user credentials are valid, but the user does not have the necessary permissions to perform this operation - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ### 404 Not Found Error The requested resource was not found. - `id` (string, optional) — The ID of the error instance - `name` (string, optional) — The name of the error kind - `message` (string, optional) — A description of what went wrong. ## Types ### actionSetEventSchema An object describing an action event. - `id` (integer, required) — The action set event's ID. Action set event IDs are incrementing integers. In other words, a more recently created action set event will always have a higher ID than an older one. - `actionSetId` (integer, required) — The ID of the action set that the action set event belongs to. - `signalId` (integer, required) — The ID of the signal that triggered this action set event. - `createdAt` (string, required) — The date and time of when the action set event was created. In other words, the date and time of when the action set started executing. - `state` (enum, required) — The state of the action set event. Can be one of `started`, `success`, or `failed`. - Allowed values: `started`, `success`, `failed` - `signal` (signalSchema, required) — The signal that triggered this action set event. - `actionSet` (ActionSetEventSchemaActionSet, required) — The action set this action set event belongs to, where the individual actions are decorated with the respective action states. ### signalSchema An object describing a signal. - `id` (integer, required) — The signal's ID. Signal IDs are incrementing integers. In other words, a more recently created signal will always have a higher ID than an older one. - `createdAt` (string, required) — The date and time of when the signal was created. - `source` (enum, required) — The signal source type. Should be used along with `sourceId` to uniquely identify the resource that created this signal. - Allowed values: `signal-endpoint` - `sourceId` (integer, required) — The ID of the source that created this signal. Should be used along with `source` to uniquely identify the resource that created this signal. - `payload` (SignalSchemaPayload, optional) — The payload of the signal. - `createdBySourceTokenId` (integer, optional, nullable) — The ID of the source token that created this signal. Only present if the signal was created by a signal endpoint. ### ActionSetEventSchemaActionSet The action set this action set event belongs to, where the individual actions are decorated with the respective action states. - `id` (integer, required) — The ID of the action set. - `project` (string, required) — The project that this action set belongs to. - `createdAt` (string, required) — The date and time of when the action set was created. - `createdByUserId` (integer, required) — The ID of the user that created this action set. - `name` (string, required) — The name of the action set - `actorId` (integer, required) — The id of the service account that will execute the action - `actions` (list of actionEventSchema, required) — The list of actions executed in sequential order when the action set was triggered, decorated with the individual action states. - `match` (ActionSetEventSchemaActionSetMatch, required) — Defines a matching rule for the signal that will trigger the action set - `description` (string, optional, nullable) — The description of the action set - `enabled` (boolean, optional, default: true) — Whether this action set is enabled or not ### SignalSchemaPayload The payload of the signal. ### actionEventSchema An object describing an action event. - `id` (integer, required) — The id of the action set - `createdAt` (string, required) — The date and time of when the action was created. - `createdByUserId` (integer, required) — The id of user that created this action set - `action` (string, required) — The name of the action to execute - `sortOrder` (integer, required) — The order in which the action should be executed - `state` (enum, required) — The state of the action. Can be one of `not started`, `started`, `success`, or `failed`. - Allowed values: `not started`, `started`, `success`, `failed` - `executionParams` (map from string to any, optional, default: {}) — A map of parameters to pass to the action - `details` (string, optional, nullable) — The details of the action event, if any. ### ActionSetEventSchemaActionSetMatch Defines a matching rule for the signal that will trigger the action set - `source` (enum, required) — Match the source of the signal - Allowed values: `signal-endpoint` - `sourceId` (double, required) — Match the source id of the signal - `payload` (map from string to any, required) — Match the payload of the signal ## Examples **Response** ```json { "actionSetEvents": [ { "id": 7, "actionSetId": 42, "signalId": 1337, "createdAt": "2023-12-27T13:37:00+01:00", "state": "started", "signal": { "id": 7, "createdAt": "2023-12-27T13:37:00+01:00", "source": "signal-endpoint", "sourceId": 1337, "payload": { "cpu": 92, "memory": 85 }, "createdBySourceTokenId": 1337 }, "actionSet": { "id": 1, "project": "default", "createdAt": "2023-12-27T13:37:00+01:00", "createdByUserId": 1, "name": "Disable new features", "actorId": 12, "actions": [ { "id": 1, "createdAt": "2023-12-27T13:37:00+01:00", "createdByUserId": 1, "action": "disable-feature", "sortOrder": 1, "state": "not started", "executionParams": { "featureName": "my-feature" }, "details": "string" } ], "match": { "source": "signal-endpoint", "sourceId": 123, "payload": { "type": "error-rate-above-threshold" } }, "description": "Disables new features when error rate is above threshold", "enabled": true } } ] } ``` **SDK Code** ```python import requests url = "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/events" headers = {"Authorization": ""} response = requests.get(url, headers=headers) print(response.json()) ``` ```javascript const url = 'https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/events'; const options = {method: 'GET', headers: {Authorization: ''}}; try { const response = await fetch(url, options); const data = await response.json(); console.log(data); } catch (error) { console.error(error); } ``` ```go package main import ( "fmt" "net/http" "io" ) func main() { url := "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/events" req, _ := http.NewRequest("GET", url, nil) req.Header.Add("Authorization", "") res, _ := http.DefaultClient.Do(req) defer res.Body.Close() body, _ := io.ReadAll(res.Body) fmt.Println(res) fmt.Println(string(body)) } ``` ```ruby require 'uri' require 'net/http' url = URI("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/events") http = Net::HTTP.new(url.host, url.port) http.use_ssl = true request = Net::HTTP::Get.new(url) request["Authorization"] = '' response = http.request(request) puts response.read_body ``` ```java import com.mashape.unirest.http.HttpResponse; import com.mashape.unirest.http.Unirest; HttpResponse response = Unirest.get("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/events") .header("Authorization", "") .asString(); ``` ```php request('GET', 'https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/events', [ 'headers' => [ 'Authorization' => '', ], ]); echo $response->getBody(); ``` ```csharp using RestSharp; var client = new RestClient("https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/events"); var request = new RestRequest(Method.GET); request.AddHeader("Authorization", ""); IRestResponse response = client.Execute(request); ``` ```swift import Foundation let headers = ["Authorization": ""] let request = NSMutableURLRequest(url: NSURL(string: "https://app.unleash-instance.example.com/api/admin/projects/projectId/actions/id/events")! as URL, cachePolicy: .useProtocolCachePolicy, timeoutInterval: 10.0) request.httpMethod = "GET" request.allHTTPHeaderFields = headers let session = URLSession.shared let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in if (error != nil) { print(error as Any) } else { let httpResponse = response as? HTTPURLResponse print(httpResponse) } }) dataTask.resume() ```